## org.apache.poi.ss.usermodel
Interface DataValidationConstraint

All Known Implementing Classes:
  DVConstraint, XSSFDataValidationConstraint

    public interface DataValidationConstraint

Nested Class Summary
`static class` `DataValidationConstraint.OperatorType` Condition operator enum
`static class` `DataValidationConstraint.ValidationType` ValidationType enum

Method Summary
`java.lang.String[]` `getExplicitListValues()`
`java.lang.String` `getFormula1()`
`java.lang.String` `getFormula2()`
`int` `getOperator()`
`int` `getValidationType()`
`void` `setExplicitListValues(java.lang.String[] explicitListValues)`
`void` `setFormula1(java.lang.String formula1)` Sets a formula for expression 1.
`void` `setFormula2(java.lang.String formula2)` Sets a formula for expression 2.
`void` `setOperator(int operator)` Sets the comparison operator for this constraint

Method Detail

### getValidationType

    int getValidationType()

  Returns:
    data validation type of this constraint
  See Also:
    `DataValidationConstraint.ValidationType`

### getOperator

    int getOperator()

  Returns:
    the operator used for this constraint
  See Also:
    `DataValidationConstraint.OperatorType`

### setOperator

    void setOperator(int operator)

  Sets the comparison operator for this constraint

  See Also:
    `DataValidationConstraint.OperatorType`

### getExplicitListValues

    java.lang.String[] getExplicitListValues()

### setExplicitListValues

    void setExplicitListValues(java.lang.String[] explicitListValues)

### getFormula1

    java.lang.String getFormula1()

  Returns:
    the formula for expression 1. May be `null`

### setFormula1

    void setFormula1(java.lang.String formula1)

  Sets a formula for expression 1.

### getFormula2

    java.lang.String getFormula2()

  Returns:
    the formula for expression 2. May be `null`

### setFormula2

    void setFormula2(java.lang.String formula2)

  Sets a formula for expression 2.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.